Subject: Re: linux-next: manual merge of the sparc tree

From: David Miller <[email-masked]>
Date: Tue, 16 Sep 2008 14:31:37 -0700 (PDT)

From: Stephen Rothwell <[email-masked]>
Date: Wed, 17 Sep 2008 06:27:46 +1000

> Today's linux-next merge of the sparc tree got a conflict in
> arch/sparc64/kernel/pci_psycho.c between commit
> f948cc6ab9e61a8e88d70ee9aafc690e6d26f92c("sparc64: Fix OOPS in
> psycho_pcierr_intr_other()") from the sparc-current tree and commit
> e6e003720fd7123482f77dcec19e930d272937fe ("sparc64: Commonize large
> portions of PSYCHO error handling") from the sparc tree.
> 
> The latter moves code that the former modifies.  So, as discsussed, I
> dropped the former fix for today as I assume you will fix it when you
> merge sparc-current.

Thanks Stephen.

I just pushed a merge resolution to this by pulling sparc-2.6
into sparc-next-2.6, moving the PCI config space address
computer into psycho_common.h, and propagating the bug fix
from sparc-2.6 into where the code lives now in psycho_common.c